mr-topbar {
    top: 0;
    z-index: 99;
    position: sticky;
}

.container.mr-top {

    .topbar {
        @include module;
        padding: 0 !important;
        border-bottom-left-radius: 30px;
        border-bottom-right-radius: 30px;

        mr-logo {
            width: 100px;
            margin-right: 10px;

            @media(min-width: 450px) {
                width: 120px;
                margin-right: 20px;
            }
        }

        nav {
            @include flex(flex, center, space-between);
            padding: 10px 20px;

            @media(min-width: 450px) {
                padding: 10px 25px;
            }

            .navigation {
                @include flex();
                @include unstyled-list;

                @media(min-width: 450px) {
                    width: auto;
                    order: unset;
                }

                a.icon {
                    @include flex(inline-flex, center, center);
                    border-radius: 50%;
                    font-size: 1.2rem;
                    cursor: pointer;
                    position: relative;
                    height: 25px;
                    width: 25px;
                    background: rgba(85, 120, 248, 0.04);
                    padding-bottom: 2px;
                    transition: .2s;

                    &.active {
                        background: $primary;
                        color: white;
                    }

                    @media(min-width: 450px) {
                        font-size: 1.5rem;
                        height: 35px;
                        width: 35px;
                    }
                }

                li {
                    padding: 0 3px;

                    @media(min-width: 450px) {
                        padding: 0 5px;
                    }

                    .dot {
                        position: absolute;
                        top: -1px;
                        right: -1px;
                        line-height: 0;
                    }
                }

                &.unauth {
                    a {
                        font-weight: bold;
                        font-size: .8rem;

                        &.sign {
                            color: white;
                            background: $primary;
                            padding: 5px 15px;
                            border-radius: 4px;
                            margin-left: 10px;
                        }
                    }
                }
            }

            .profile {

                @include flex(inline-flex, center);
                margin-left: 10px;
                flex-shrink: 0;

                @media(min-width: 600px) {
                    margin-left: 20px;
                }

                i {
                    font-size: 1.5rem;
                    color: $grey;

                    @media(min-width: 450px) {
                        font-size: 2rem;
                    }
                }

                position: relative;
                .submenu {
                    position: absolute;
                    top: 100%;
                    right: 0;
                    background: $lighter-blue;
                    min-width: 150px;
                    max-width: 200px;
                    border-radius: 3px;
                    padding: 10px 0;
                    box-shadow: $box-shadow;
                    font-size: .9rem;
                    display: none;

                    a {
                        padding: 0 20px;
                        display: block;
                        color: $grey;

                        b {
                            word-break: break-all;
                        }

                        &:hover {
                            color: $primary;
                        }
                    }

                    hr {
                        margin: 10px 0;
                        border-color: #dadff2;
                    }
                }
                &:hover .submenu {
                    display: block;
                }
            }
        }
    }
}
